Browse Source

Merge pull request #35 from return42/fix-manage

[fix] manage - fix miss usage of 'set -e'
Alexandre Flament 4 years ago
parent
commit
f45729ae72
1 changed files with 10 additions and 7 deletions
  1. 10 7
      manage

+ 10 - 7
manage

@@ -343,14 +343,17 @@ pyenv.install() {
     if pyenv.install.OK > /dev/null; then
         return 0
     fi
-    pyenv
-    pyenv.OK || die 42 "error while build pyenv (${PY_ENV_BIN})"
 
     (   set -e
-       build_msg PYENV "[install] pip install -e 'searx${PY_SETUP_EXTRAS}'"
-       "${PY_ENV_BIN}/python" -m pip install -e ".${PY_SETUP_EXTRAS}"
-       buildenv
-    ) || die 42 "error while pip install (${PY_ENV_BIN})"
+        pyenv
+        build_msg PYENV "[install] pip install -e 'searx${PY_SETUP_EXTRAS}'"
+        "${PY_ENV_BIN}/python" -m pip install -e ".${PY_SETUP_EXTRAS}"
+        buildenv
+    )
+    local exit_val=$?
+    if [ ! $exit_val -eq 0 ]; then
+        die 42 "error while pip install (${PY_ENV_BIN})"
+    fi
 }
 
 pyenv.uninstall() {
@@ -462,7 +465,7 @@ themes.simple() {
 PYLINT_FILES=()
 while IFS= read -r line; do
    PYLINT_FILES+=("$line")
-done <<< $(pylint.FILES)
+done <<< "$(pylint.FILES)"
 
 # shellcheck disable=SC2119
 main() {